summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJon Bergli Heier <snakebite@jvnv.net>2012-12-14 18:41:50 +0100
committerJon Bergli Heier <snakebite@jvnv.net>2012-12-14 18:41:50 +0100
commit42bd282302fe0ea75388d2317d996e5c0b4a1023 (patch)
tree29fc1c8bc529175603f578664cd24c933289b6e5
parentffd37bf22e3304fb3aec316354c49ff3a05d54c2 (diff)
rlvm: Fixed building, bumped pkgrel.
-rw-r--r--rlvm/PKGBUILD12
-rw-r--r--rlvm/boost-gcc-fix.patch56
-rw-r--r--rlvm/boost_filesystem_v3_test.patch50
3 files changed, 115 insertions, 3 deletions
diff --git a/rlvm/PKGBUILD b/rlvm/PKGBUILD
index c7b4e2c..083417e 100644
--- a/rlvm/PKGBUILD
+++ b/rlvm/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Jon Bergli Heier <snakebite@jvnv.net>
pkgname=rlvm
pkgver=0.12
-pkgrel=2
+pkgrel=3
pkgdesc="RealLive clone for Linux and OSX"
arch=(i686 x86_64)
url="http://www.elliotglaysher.org/rlvm/"
@@ -10,10 +10,14 @@ depends=('boost-libs>=1.46' glew libmad sdl_mixer sdl_image sdl_ttf)
makedepends=(scons boost)
source=(https://github.com/eglaysher/rlvm/tarball/release-${pkgver}
build.patch
- boost_filesystem_v3.patch)
+ boost_filesystem_v3.patch
+ boost_filesystem_v3_test.patch
+ boost-gcc-fix.patch)
md5sums=('9dbafab7f720f6782c727015012e25fe'
'f702633c91148a239fd0457621a311f5'
- 'cc97ff08f27c4c790c86d9dc08914562')
+ 'cc97ff08f27c4c790c86d9dc08914562'
+ '35d0432a6616138853215eb3a5cf48d6'
+ '45e14973f8833b283e8cb77300594e62')
build() {
# release commit, for silly directory names
@@ -22,6 +26,8 @@ build() {
patch -Np0 < $srcdir/build.patch || return 1
patch -Np1 < $srcdir/boost_filesystem_v3.patch || return 1
+ patch -Np1 < $srcdir/boost_filesystem_v3_test.patch || return 1
+ patch -Np1 < $srcdir/boost-gcc-fix.patch || return 1
scons --release
install -D "$srcdir/eglaysher-rlvm-$commit/build/release/rlvm" "$pkgdir/usr/bin/rlvm"
install -D "$srcdir/eglaysher-rlvm-$commit/src/Platforms/gtk/rlvm.desktop" "$pkgdir/usr/share/applications/rlvm.desktop"
diff --git a/rlvm/boost-gcc-fix.patch b/rlvm/boost-gcc-fix.patch
new file mode 100644
index 0000000..a199c73
--- /dev/null
+++ b/rlvm/boost-gcc-fix.patch
@@ -0,0 +1,56 @@
+diff -ru eglaysher-rlvm-bee99d3/vendor/luabind/include/luabind/detail/call_function.hpp eglaysher-rlvm-bee99d3-patched/vendor/luabind/include/luabind/detail/call_function.hpp
+--- eglaysher-rlvm-bee99d3/vendor/luabind/include/luabind/detail/call_function.hpp 2011-05-15 21:44:42.000000000 +0200
++++ eglaysher-rlvm-bee99d3-patched/vendor/luabind/include/luabind/detail/call_function.hpp 2012-12-14 18:14:24.736834205 +0100
+@@ -323,7 +323,8 @@
+
+ #endif // LUABIND_CALL_FUNCTION_HPP_INCLUDED
+
+-#elif BOOST_PP_ITERATION_FLAGS() == 1
++#else
++#if BOOST_PP_ITERATION_FLAGS() == 1
+
+ #define LUABIND_TUPLE_PARAMS(z, n, data) const A##n *
+ #define LUABIND_OPERATOR_PARAMS(z, n, data) const A##n & a##n
+@@ -440,4 +441,5 @@
+
+
+ #endif
++#endif
+
+diff -ru eglaysher-rlvm-bee99d3/vendor/luabind/include/luabind/detail/call_member.hpp eglaysher-rlvm-bee99d3-patched/vendor/luabind/include/luabind/detail/call_member.hpp
+--- eglaysher-rlvm-bee99d3/vendor/luabind/include/luabind/detail/call_member.hpp 2011-05-15 21:44:42.000000000 +0200
++++ eglaysher-rlvm-bee99d3-patched/vendor/luabind/include/luabind/detail/call_member.hpp 2012-12-14 18:12:38.508140617 +0100
+@@ -316,7 +316,8 @@
+
+ #endif // LUABIND_CALL_MEMBER_HPP_INCLUDED
+
+-#elif BOOST_PP_ITERATION_FLAGS() == 1
++#else
++#if BOOST_PP_ITERATION_FLAGS() == 1
+
+ #define LUABIND_TUPLE_PARAMS(z, n, data) const A##n *
+ #define LUABIND_OPERATOR_PARAMS(z, n, data) const A##n & a##n
+@@ -360,4 +361,5 @@
+ #undef LUABIND_TUPLE_PARAMS
+
+ #endif
++#endif
+
+diff -ru eglaysher-rlvm-bee99d3/vendor/luabind/include/luabind/wrapper_base.hpp eglaysher-rlvm-bee99d3-patched/vendor/luabind/include/luabind/wrapper_base.hpp
+--- eglaysher-rlvm-bee99d3/vendor/luabind/include/luabind/wrapper_base.hpp 2011-05-15 21:44:42.000000000 +0200
++++ eglaysher-rlvm-bee99d3-patched/vendor/luabind/include/luabind/wrapper_base.hpp 2012-12-14 18:13:48.440613715 +0100
+@@ -89,7 +89,8 @@
+
+ #endif // LUABIND_WRAPPER_BASE_HPP_INCLUDED
+
+-#elif BOOST_PP_ITERATION_FLAGS() == 1
++#else
++#if BOOST_PP_ITERATION_FLAGS() == 1
+
+ #define LUABIND_TUPLE_PARAMS(z, n, data) const A##n *
+ #define LUABIND_OPERATOR_PARAMS(z, n, data) const A##n & a##n
+@@ -188,3 +189,4 @@
+ #undef N
+
+ #endif
++#endif
diff --git a/rlvm/boost_filesystem_v3_test.patch b/rlvm/boost_filesystem_v3_test.patch
new file mode 100644
index 0000000..6379b47
--- /dev/null
+++ b/rlvm/boost_filesystem_v3_test.patch
@@ -0,0 +1,50 @@
+diff -ru eglaysher-rlvm-bee99d3/test/luaRlvm.cpp eglaysher-rlvm-bee99d3-patched/test/luaRlvm.cpp
+--- eglaysher-rlvm-bee99d3/test/luaRlvm.cpp 2011-05-15 21:44:42.000000000 +0200
++++ eglaysher-rlvm-bee99d3-patched/test/luaRlvm.cpp 2012-12-14 18:28:49.832405609 +0100
+@@ -99,9 +99,6 @@
+ int main(int argc, char* argv[]) {
+ srand(time(NULL));
+
+- // Set global state: allow spaces in game paths
+- fs::path::default_name_check(fs::native);
+-
+ // -----------------------------------------------------------------------
+ // Parse command line options
+
+@@ -206,7 +206,7 @@
+ seenPath = correctPathCase(gamerootPath / "Seen.txt");
+
+ Gameexe gameexe(gameexePath);
+- gameexe("__GAMEPATH") = gamerootPath.file_string();
++ gameexe("__GAMEPATH") = gamerootPath.string();
+ gameexe("MEMORY") = 1;
+
+ // Run the incoming lua file and do some basic error checking on what it
+@@ -214,13 +214,13 @@
+ ScriptWorld world;
+
+ SDLSystem sdlSystem(gameexe);
+- libReallive::Archive arc(seenPath.file_string(), gameexe("REGNAME"));
++ libReallive::Archive arc(seenPath.string(), gameexe("REGNAME"));
+
+ ScriptMachine rlmachine(world, sdlSystem, arc);
+ addAllModules(rlmachine);
+ addGameHacks(rlmachine);
+ world.initializeMachine(rlmachine);
+- world.loadToplevelFile(scriptLocation.file_string());
++ world.loadToplevelFile(scriptLocation.string());
+
+ // Make sure we go as fast as possible:
+ sdlSystem.setForceFastForward();
+diff -ru eglaysher-rlvm-bee99d3/test/ScriptMachine/ScriptWorld.cpp eglaysher-rlvm-bee99d3-patched/test/ScriptMachine/ScriptWorld.cpp
+--- eglaysher-rlvm-bee99d3/test/ScriptMachine/ScriptWorld.cpp 2011-05-15 21:44:42.000000000 +0200
++++ eglaysher-rlvm-bee99d3-patched/test/ScriptMachine/ScriptWorld.cpp 2012-12-14 18:28:31.616017633 +0100
+@@ -89,7 +89,7 @@
+ throw std::runtime_error(oss.str());
+ }
+
+- if (luaL_dofile(L, script_path.file_string().c_str())) {
++ if (luaL_dofile(L, script_path.string().c_str())) {
+ ostringstream oss;
+ oss << "Error while running script: " << script_path << " ("
+ << lua_tostring(L, -1) << ")";